// em++ eigen-emscripten.cc -o eigen-emscripten.js -s EXPORTED_FUNCTIONS="['_gemm']" -I ~/eigen -O3 -s TOTAL_MEMORY=30000000

#include <Eigen/Core>

extern "C" {
  void gemm(int rows, int depth, int cols,
            const float* a, const float* b, float* c) {
    Eigen::MatrixXf::Map(c, rows, cols) =
      Eigen::MatrixXf::Map(a, rows, depth) *
      Eigen::MatrixXf::Map(b, depth, cols);
  }
}
